#ifndef _EXAMPLES_PR2_ARM_WIK_H_
#define _EXAMPLES_PR2_ARM_WIK_H_

#include <mpc/types.h>

using namespace MPC;

namespace pr2_arm_ik {
        // some euclidean obstacles
        typedef std::vector<VectorT> Obstacles;

        void setGoal(const VectorT &g);
        void setObstacles(const Obstacles &obs);
        Obstacles &getObstacles();

        void dynamics(const VectorT &x, const VectorT &u, VectorT &xNext);
        void dynamicsD(const VectorT &x, const VectorT &u, Deriv &d);
        float cost(const VectorT &x, const VectorT &u);
        void costD(const VectorT &x, const VectorT &u, Deriv &d);
}


#endif
